#
# spec file for package ddclient
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           ddclient
Summary:        A Perl Client to Update Dynamic DNS Entries
Version:        3.8.0
Release:        13.14.1
License:        GPL v2 or later
Group:          Productivity/Networking/DNS/Utilities
Url:            http://ddclient.sourceforge.net/
Source0:        http://switch.dl.sourceforge.net/sourceforge/ddclient/%{name}-%{version}.tar.bz2
Source1:        rc.ddclient
Source2:        %{name}.sysconfig
Patch0:         %{name}-3.8.0-config.patch
Patch1:         %{name}-3.8.0-update_nic.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         %fillup_prereq
Requires:       perl >= 5.004
Recommends:     perl-IO-Socket-SSL

%description
ddclient is a small full-featured client requiring only Perl. Supported
features include daemon operation, manual and automatic updates, static
and dynamic updates, optimized updates for multiple addresses, MX, wild
cards, abuse avoidance, retry for failed updates, and status updates to
syslog and through e-mail. ddclient can obtain the IP address from any
interface, through a Web-based IP detection service, and for multiple
routers using custom FW definitions. It also provides full support for
DynDNS.org's NIC2 protocol. Support is also included for other dynamic
DNS services. Comes with sample scripts for use with DHCP, PPP, and
cron.

%prep
%setup
%patch0 -p1
%patch1 -p1
rm -f sample-etc_ddclient.conf.orig
chmod a-x sample-etc*
mkdir examples
mv sample-ddclient-wrapper.sh examples

%build
#%%configure
#make
# If the package provides automatic testing
#make test
# nothing to do here (yet)

%install
#make DESTDIR=$RPM_BUILD_ROOT install
%{__mkdir_p} $RPM_BUILD_ROOT%{_sbindir}
%{__mkdir_p} $RPM_BUILD_ROOT/%{_sysconfdir}/init.d
%{__install} -m 755 %{name} $RPM_BUILD_ROOT%{_sbindir}/
%{__install} -m 644 sample-etc_ddclient.conf $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}.conf
# init script and config file
%{__install} -m 755 %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/init.d/%{name}
%{__ln_s} %{_sysconfdir}/init.d/%{name} $RPM_BUILD_ROOT%{_sbindir}/rc%{name}
%{__install} -d -m 755 $RPM_BUILD_ROOT/var/adm/fillup-templates
%{__install} -m 644 %{SOURCE2} $RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.%{name}
%{__install} -d -m 755 $RPM_BUILD_ROOT/var/cache/%{name}

%post
%{fillup_only}

%preun
%stop_on_removal ddclient

%postun
%restart_on_update ddclient
%insserv_cleanup

%files
%defattr(-, root, root)
%doc COPY* README* sample* examples
%config(noreplace) %attr(600,root,root) %{_sysconfdir}/%{name}.conf
%config %attr(0755,root,root) /etc/init.d/%{name}
%{_sbindir}/%{name}
%{_sbindir}/rc%{name}
/var/adm/fillup-templates/sysconfig.%{name}
%dir /var/cache/%{name}

%changelog
* Sat Oct 15 2011 ro@suse.de
- upgrade Suggests for perl-IO-Socket-SSL to Recommends
  (bnc#723688)
* Sun Sep 18 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
  (cf. packaging guidelines)
* Mon Aug 29 2011 ro@suse.de
- work on init-script so that start/status/stop at least work
  (bnc#267306)
* Tue Sep  1 2009 chris@computersalat.de
- rework config patch
  o now one patch
  o merged
  - ddclient-3.6.3-config.patch
  - ddclient-3.7.1-config.patch
  - ddclient-3.7.1-sysconfig.patch
    to ddclient-3.8.0-config.patch
  o defaults for ppp0
- added update_nic.patch
  * opt('use') should have priority to global-defaults
- init script
  o beautify
  o should start rp-pppoe
  o ppp0 as a "use=" default if not set in ddclient.conf
- sysconfig
  o added argument list for DDCLIENT_OPTIONS
- cleanup spec
* Sun Aug 30 2009 coolo@novell.com
- use %%patch0
* Wed Aug 26 2009 mls@suse.de
- make patch0 usage consistent
* Mon Feb  2 2009 kssingvo@suse.de
- made rpmlint more happy
- removed unneccessary .orig file to avoid build issue
* Wed Jan 28 2009 kssingvo@suse.de
- new version 3.8.0:
  * better password handling
  * ddclient wrapper now included
  * some remarks concerning postscript in sample config file
  * support for multiple IP adresses
  * namecheap patch
  * Preventing error while reading cache when ip wasn't set correctly
    before
  * Preventing an error when trying to send a message on mail-failure
  * mail-on-kill functionality
  * documentation changes
* Tue Jan 27 2009 kukuk@suse.de
- Add PreRequires
* Thu Aug 30 2007 kssingvo@suse.de
- config file ddclient.conf now with noreplace (bugzilla#305533)
* Tue Aug  7 2007 kssingvo@suse.de
- upgrade to version 3.7.3:
  * fixed typo for dnspark
  * Renamed dyndns.org to dyndns.com
  * opendns support added
  * several debian/ubuntu patches included
  * Readme changes
  * signature modified
  * typo in namecheap support
* Thu Jun 14 2007 kssingvo@suse.de
- upgrade to version 3.7.2:
  * updated easydns support
  * fix for 'fw' in case of debug
  * ssl call changed
  * easydns.patch and eurodns.patch now included
- enable_fw patch removed, now in upstream version included
* Thu May  3 2007 kssingvo@suse.de
- added sysconfig file, as suggested in bugzilla#268138
- added /var/cache/ddclient (bugzilla#268138)
* Tue Apr  3 2007 kssingvo@suse.de
- fixed issue in debug messages (bugzilla#250170)
* Tue Feb 13 2007 kssingvo@suse.de
- disabled ssl in default config (bugzilla#232005)
* Mon Feb 12 2007 kssingvo@suse.de
- update to version 3.7.1:
  * URL of zoneedit has changed (see bug #1558483)
  * Added initscript for Ubuntu (posted by Paolo Martinelli)
  * Added patch "Patch: Treat --daemon values as intervals"
    (submitted by James deBoer)
  * Don't send any mail when in not running daemon mode (patch
    submitted by Daniel Thaler)
  * Changed Changelog syntax
  * Applied patches submitted by Torsten:
    abuse_msg.diff: ddclient still reports the email to contact
    dyndns.org but they prefer a web form today (IIRC). This patch
    adjusts the abuse warning printed by ddclient.
    cachedir.diff: Original ddclient stores a cache file in /etc
    which would belong in /var/cache in my opinion and according
    to the FHS.
    help_nonroot.diff: Allow calling the help function as non-root.
    update-new-config.patch: Force update if config has changed
    smc-barricade-7401bra.patch: Support for SMC Barricade 7401BRA
    FW firewall
    cisco_fw.diff: Use configured hostname for firewall access with
  - use=cisco (closes: #345712). Thanks to Per Carlson for the
    patch!  See http://bugs.debian.org/345712.
    maxinterval.diff: Increase max interval for updates.
    See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=129370
    http://www.dyndns.com/support/services/dyndns/faq.html#q15
- added Suggests: for perl-IO-SSL-Socket (bugzilla#232005)
- adapted /etc config patch to new version
* Mon Jan  8 2007 kssingvo@suse.de
- fixed checkproc in init script (bugzilla#229460)
* Wed Sep 20 2006 kssingvo@suse.de
- added init script (bugzilla#201548)
* Wed Jun 28 2006 kssingvo@suse.de
- update to version 3.7.0:
- support of many new routers
- fix to have a '#' char in the password
- renamed .orig to _orig in %%doc section
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 11 2006 kssingvo@suse.de
- update to version 3.6.7
* Tue Jul 26 2005 kssingvo@suse.de
- update to version 3.6.6
* Tue Mar 29 2005 kssingvo@suse.de
- fix of config directory location (bugzilla#74539)
* Tue Feb  1 2005 kssingvo@suse.de
- new version 3.6.5: there was a bug in the linksys-ver2
* Thu Nov  4 2004 kssingvo@suse.de
- new version 3.6.4 and now maintained at sourceforge
* Sun Jan 11 2004 adrian@suse.de
- fix build as user
* Wed Aug 13 2003 kssingvo@suse.de
- fixed defaults (bugzilla#27701)
* Tue Jun 24 2003 kssingvo@suse.de
- upgraded to ddclient-3.6.3
* Tue Jan 14 2003 kssingvo@suse.de
- updated to ddclient-3.6.3beta3
* Mon Oct 28 2002 kssingvo@suse.de
- first shot.
